<?php

namespace App\Http\Controllers;

use App\Models\branches;
use Illuminate\Http\Request;

class BranchesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $branches = branches::all();
        return view('system.branches.branches',compact('branches'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {


    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name' =>'required|unique:branches|max:255'
        ],[
            'name.required' =>'يرجي ادخال اسم الفرع',
            'ىشةث.unique' =>'اسم الفرع مسجل مسبقا',
        ]);

        branches::create($data);
        session()->flash('Add','تم إضافة الفرع بنجاح');
        return redirect('/branches');
    }

    /**
     * Display the specified resource.
     */
    public function show(branches $branches)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(branches $branches)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, branches $branches)
    {
        $id= $request->id;
        $this->validate($request,[
            'name' =>'required|unique:branches,name,'.$id
        ],[
            'name.required' =>'يرجي ادخال اسم الفرع',
            'ىشةث.unique' =>'اسم الفرع مسجل مسبقا',
        ]);

        $branch = branches::find($id);
        $branch->update([
            'name' => $request->name,

        ]);
        session()->flash('edit','تم تعديل الفرع بنجاح');
        return redirect('/branches');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        branches::find($request->id)->delete();
        session()->flash('delete','تم حذف الفرع بنجاح');
        return redirect('/branches');
    }
}
