<?php

namespace App\Http\Controllers;

use App\Models\calibers;
use Illuminate\Http\Request;

class CalibersController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $calibers = calibers::all();
        return view('system.caliber.caliber',compact('calibers'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'caliber_code' => 'required',
            'caliber_name_ar'=>'required|max:255|unique:calibers',
            'caliber_name_en'=>'required|max:255|unique:calibers',

        ],[
            'caliber_code.required' =>'يرجي ادخال كود العيار',
            'caliber_name_ar.required' =>'يرجي ادخال اسم العيار',
            'caliber_name_ar.unique' =>'هذا الاسم مدخل مسبقا',
            'caliber_name_en.required' =>'يرجي ادخال اسم العيار',
            'caliber_name_en.unique' =>'هذا الاسم مدخل مسبقا'
        ]);;

        calibers::create($data);
        session()->flash('Add', 'تم اضافة العيار بنجاح ');
        return redirect('/calibers');
    }

    public function status($id){
        $caliber= calibers::find($id);

        $caliber->update(['status'=> !$caliber->status]);
        return redirect()->back();
    }
    /**
     * Display the specified resource.
     */
    public function show(pour $pour)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(pour $pour)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;


        $caliber = calibers::find($id);
        $caliber->update([
            'caliber_name_ar' => $request->caliber_name_ar,
            'caliber_name_en'=>$request->caliber_name_en,
            'caliber_code'=>$request->caliber_code

        ]);

        session()->flash('edit','تم تعديل العيار بنجاج');
        return redirect('/calibers');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        calibers::find($request->id)->delete();
        session()->flash('delete','تم حذف العيار بنجاح');
        return redirect('/calibers');
    }
}
