<?php

namespace App\Http\Controllers;

use App\Models\employees;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
class EmployeesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $employees = employees::get();
        return view('system.emplyees.employee',compact('employees'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('system.emplyees.add_employee');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {

        employees::create([
            'name_ar'=>$request->name_ar,
            'name_en'=>$request->name_en,
            'email'=>$request->email,
            'country'=>$request->country,
            'government'=>$request->government,
            'town'=>$request->town,
            'area'=>$request->area,
            'phone'=>$request->phone,
            'adress_ar'=>$request->adress_ar,
            'adress_en'=>$request->adress_en,
            'id_type'=>$request->id_type,
            'id_number'=>$request->id_number,
        ]);

        session()->flash('Add', 'تم اضافة الموظف بنجاح ');
        return redirect('/employees');

    }

    /**
     * Display the specified resource.
     */
    public function show(employees $employees)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(employees $employees,$id)
    {
        $employee= employees::findorfail($id);
        return view('system.emplyees.edit_employee',compact('employee'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
    {
        $employee= employees::findorfail($id);
        $employee->update([
            'name_ar'=>$request->name_ar,
            'name_en'=>$request->name_en,
            'email'=>$request->email,
            'country'=>$request->country,
            'government'=>$request->government,
            'town'=>$request->town,
            'area'=>$request->area,
            'phone'=>$request->phone,
            'adress_ar'=>$request->adress_ar,
            'adress_en'=>$request->adress_en,
            'id_type'=>$request->id_type,
            'id_number'=>$request->id_number,
        ]);

        session()->flash('edit', 'تم تعديل بيانات الموظف بنجاح');
        return redirect('/employees');

    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(employees $employees ,$id)
    {
        employees::findorfail($id)->delete();
        session()->flash('delete', 'تم حذف الموظف بنجاح');
        return redirect('/employees');
    }
}
