<?php

namespace App\Http\Controllers;

use App\Models\enterprises;
use Illuminate\Http\Request;

class EnterprisesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $enterprises= enterprises::all();
        return view('system.enterprises.enterprise',compact('enterprises'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name' => 'required|unique:enterprises|max:255',
        ],[

            'name.required' =>'يرجي ادخال اسم المنشأة',
            'ىشةث.unique' =>'اسم المنشأة مسجل مسبقا',


        ]);;
        enterprises::create($data);
        session()->flash('Add', 'تم اضافة المنشأاة بنجاح ');
        return redirect('/enterprise');
    }

    /**
     * Display the specified resource.
     */
    public function show(enterprises $enterprises)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(enterprises $enterprises)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, enterprises $enterprises)
    {
        $id = $request->id;

        $this->validate($request, [

            'name' => 'required|max:255|unique:enterprises,name,'.$id,

        ],[

            'name.required' =>'يرجي ادخال اسم المنشأاة',
            'name.unique' =>'اسم المنشأة مسجل مسبقا',

        ]);

        $enterprise = enterprises::find($id);
        $enterprise->update([
            'name' => $request->name,

        ]);

        session()->flash('edit','تم تعديل المنشأاة بنجاج');
        return redirect('/enterprise');

    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {

        enterprises::find($request->id)->delete();
        session()->flash('delete','تم حذف القسم بنجاح');
        return redirect('/enterprise');
    }
}
