<?php

namespace App\Http\Controllers;

use App\Models\branches;
use App\Models\enterprises;
use App\Models\mainstations;
use App\Models\mixers;
use App\Models\stations;
use App\Models\energy;
use Illuminate\Http\Request;

class MainstationsController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $mainstations=mainstations::all();
        $enterprises=enterprises::all();
        $branches=branches::all();
        $mixers=mixers::all();
        $stations=stations::all();
        $energyy = energy::all();

        return view('system.mainstations.mainstations',compact('mainstations','enterprises','branches','mixers','stations','energyy'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $enterprises=enterprises::all();
        $branches=branches::all();
        $mixers=mixers::all();
        $stations=stations::all();
        $energyy = energy::all();
        return view('system.mainstations.add_mainstation',compact('enterprises','branches','mixers','stations','energyy'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        mainstations::create([
            'enterprise_id' => $request->enterprise_id,
            'mixer_type_id' => $request->mixer_type_id,
            'branch_id' => $request->branch_id,
            'energy_id' => $request->energy_id,
            'station_type_id' => $request->station_type_id,
            'station_name_ar' => $request->station_name_ar,
            'station_name_en' => $request->station_name_en,
            'country' => $request->country,
            'address_ar' => $request->address_ar,
            'address_en' => $request->address_en,
            'government' => $request->government,
            'town' => $request->town,
            'area' => $request->area,
            'phone' => $request->phone,
            'fax' => $request->fax,
        ]);

        session()->flash('Add', 'تم اضافة المحطة بنجاح ');
        return redirect('mains');
    }

    /**
     * Display the specified resource.
     */
    public function show(mainstations $mainstations)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $main_station  = mainstations::findorfail($id);
        $enterprises= enterprises::all();
        $mixers = mixers::all();
        $stations = stations::all();
        $branches = branches::all();
        $energy = energy::all();
        return view('system.mainstations.edit_mainstation',compact('main_station','enterprises','mixers','stations','branches','energy'));

    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request,  $id)
    {
        $main_station  = mainstations::findorfail($id);
        $main_station->update([
            'enterprise_id' => $request->enterprise_id,
            'mixer_type_id' => $request->mixer_type_id,
            'branch_id' => $request->branch_id,
            'energy_id' => $request->energy_id,
            'station_type_id' => $request->station_type_id,
            'station_name_ar' => $request->station_name_ar,
            'station_name_en' => $request->station_name_en,
            'country' => $request->country,
            'address_ar' => $request->address_ar,
            'address_en' => $request->address_en,
            'government' => $request->government,
            'town' => $request->town,
            'area' => $request->area,
            'phone' => $request->phone,
            'fax' => $request->fax,
        ]);
        session()->flash('edit', 'تم تعديل المحطة بنجاح');
        return redirect('/mains');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request,$id)
    {
        $main_station = mainstations::findorfail($id);
//        dd($main_station);
        $main_station->delete();
        session()->flash('delete', 'تم حذف المحطة بنجاح');
        return redirect('/mains');
    }
}
