<?php

namespace App\Http\Controllers;

use App\Models\mixers;
use Illuminate\Http\Request;

class MixersController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $mixers = mixers::all();
        return view('system.mixers.mixers',compact('mixers'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name' => 'required|unique:mixers|max:255',
        ],[

            'name.required' =>'يرجي ادخال اسم الخلاط',
            'name.unique' =>'اسم الخلاط مسجل الخلاط مسبقا',


        ]);;
        mixers::create($data);
        session()->flash('Add', 'تم اضافة نوع الخلاط بنجاح ');
        return redirect('/mixers');
    }

    /**
     * Display the specified resource.
     */
    public function show(mixers $mixers)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(mixers $mixers)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, mixers $mixers)
    {
        $id = $request->id;

        $this->validate($request, [

            'name' => 'required|max:255|unique:mixers,name,'.$id,

        ],[

            'name.required' =>'يرجي ادخال اسم الخلاط',
            'name.unique' =>'اسم الخلاط مسجل مسبقا',

        ]);

        $mixer = mixers::find($id);
        $mixer->update([
            'name' => $request->name,

        ]);

        session()->flash('edit','تم تعديل نوع الخلاط بنجاج');
        return redirect('/mixers');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        mixers::find($request->id)->delete();
        session()->flash('delete','تم حذف نوع الخلاط بنجاح');
        return redirect('/mixers');
    }
}
