<?php

namespace App\Http\Controllers;

use App\Models\pour;
use Illuminate\Http\Request;

class PourController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $pours = pour::all();
        return view('system.pours.pours',compact('pours'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function status($id){
        $pour = pour::find($id);

        $pour->update(['status' => !$pour->status]);

        return redirect()->back();
    }

    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'pour_code' => 'required',
            'pour_name_ar'=>'required|max:255|unique:pours',
            'pour_name_en'=>'required|max:255|unique:pours',

        ],[
            'pour_code.required' =>'يرجي ادخال كود النوع',
            'pour_name_ar.required' =>'يرجي ادخال اسم النوع',
            'pour_name_ar.unique' =>'هذا النوع مدخل مسبقا',
            'pour_name_en.required' =>'يرجي ادخال اسم النوع',
            'pour_name_en.unique' =>'هذا النوع مدخل مسبقا'
        ]);;

        pour::create($data);
        session()->flash('Add', 'تم اضافة الطاقة  النوع بنجاح ');
        return redirect('/pours');
    }

    /**
     * Display the specified resource.
     */
    public function show(pour $pour)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(pour $pour)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'pour_name_ar' => 'required|max:255|unique:pours,pour_name_ar,'.$id,

        ],[

            'pour_name_ar.required' =>'يرجي ادخال اسم النوع',
            'pour_name_ar.unique' =>'اسم النوع مسجل مسبقا',

        ]);

        $pour = pour::find($id);
        $pour->update([
            'pour_name_ar' => $request->pour_name_ar,
            'pour_name_en'=>$request->pour_name_en,
            'pour_code'=>$request->pour_code

        ]);

        session()->flash('edit','تم تعديل النوع بنجاج');
        return redirect('/pours');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        pour::find($request->id)->delete();
        session()->flash('delete','تم حذف النوع بنجاح');
        return redirect('/pours');
    }
}
