<?php

namespace App\Http\Controllers;

use App\Models\ReservationAddintionalServices;
use App\Models\ReservationAdditionalServices;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class ReservationAddintionalServicesController extends Controller
{
    
    
    public function index()
    {
        $services = ReservationAdditionalServices::all();
        return view('services.index', compact('services'));
    }

    
    public function create()
    {
        return view('services.create');
    }

    
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'reservation_id' => 'required|integer',
            'additional_service_id' => 'required|integer',
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }

        ReservationAdditionalServices::create($request->all());

        return redirect()->route('services.index')->with('success', 'Reservation additional service created successfully.');
    }

    
    public function show($id)
    {
        $service = ReservationAdditionalServices::findOrFail($id);
        return view('services.show', compact('service'));
    }

    
    public function edit($id)
    {
        $service = ReservationAdditionalServices::findOrFail($id);
        return view('services.edit', compact('service'));
    }

   
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'reservation_id' => 'required|integer',
            'additional_service_id' => 'required|integer',
        ]);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }

        ReservationAdditionalServices::findOrFail($id)->update($request->all());

        return redirect()->route('services.index')->with('success', 'Reservation additional service updated successfully.');
    }

    
    public function destroy($id)
    {
        ReservationAdditionalServices::findOrFail($id)->delete();

        return redirect()->route('services.index')->with('success', 'Reservation additional service deleted successfully.');
    }
}
