<?php

namespace App\Http\Controllers;

use App\Models\sements;
use Illuminate\Http\Request;

class SementsController extends Controller
{
    /**
     * Display a listing of the resource.


    /**
     * Show the form for creating a new resource.
     */

    public function index()
    {
        $sements = sements::all();
        return view('system.sements.sements',compact('sements'));
    }

    public function status($id){
        $sement = sements::find($id);

        $sement->update(['status' => !$sement->status]);

        return redirect()->back();
    }
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'sement_code' => 'required',
            'sement_name_ar'=>'required|max:255|unique:sements',
            'sement_name_en'=>'required|max:255|unique:sements',

        ],[
            'sement_code.required' =>'يرجي ادخال كود النوع',
            'sement_name_ar.required' =>'يرجي ادخال اسم النوع',
            'sement_name_ar.unique' =>'هذا النوع مدخل مسبقا',
            'sement_name_en.required' =>'يرجي ادخال اسم النوع',
            'sement_name_en.unique' =>'هذا النوع مدخل مسبقا'
        ]);;

        sements::create($data);
        session()->flash('Add', 'تم اضافة النوع بنجاح ');
        return redirect('/sements');
    }

    /**
     * Display the specified resource.
     */
    public function show(pour $pour)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(pour $pour)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'sement_name_ar' => 'required|max:255|unique:sements,sement_name_ar,'.$id,

        ],[

            'sement_name_ar.required' =>'يرجي ادخال اسم النوع',
            'sement_name_ar.unique' =>'اسم النوع مسجل مسبقا',

        ]);

        $sement = sements::find($id);
        $sement->update([
            'sement_name_ar' => $request->sement_name_ar,
            'sement_name_en'=>$request->sement_name_en,
            'sement_code'=>$request->sement_code

        ]);

        session()->flash('edit','تم تعديل النوع بنجاج');
        return redirect('/sements');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        sements::find($request->id)->delete();
        session()->flash('delete','تم حذف النوع بنجاح');
        return redirect('/sements');
    }
}
