<?php

namespace App\Http\Controllers;

use App\Models\stations;
use Illuminate\Http\Request;

class StationsController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $stations = stations::all();
        return view('system.stations.stations',compact('stations'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'station_type' => 'required|unique:stations|max:255',
        ],[

            'station_type.required' =>'يرجي ادخال نوع المحطة',
            'station_type.unique' =>'نوع المحطة مسجل  مسبقا',


        ]);;
        stations::create($data);
        session()->flash('Add', 'تم اضافة نوع المحطة بنجاح ');
        return redirect('/stations');
    }

    /**
     * Display the specified resource.
     */
    public function show(mixers $mixers)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(mixers $mixers)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'station_type' => 'required|max:255|unique:stations,station_type,'.$id,

        ],[

            'station_type.required' =>'يرجي ادخال اسم الخلاط',
            'station_type.unique' =>'اسم الخلاط مسجل مسبقا',

        ]);

        $stations = stations::find($id);
        $stations->update([
            'station_type' => $request->station_type,

        ]);

        session()->flash('edit','تم تعديل نوع المحطة بنجاج');
        return redirect('/stations');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        stations::find($request->id)->delete();
        session()->flash('delete','تم حذف نوع المحطة بنجاح');
        return redirect('/stations');
    }
}
