<?php

namespace App\Http\Controllers;

use App\Models\trucktypes;
use Illuminate\Http\Request;

class TrucktypesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $trucks = trucktypes::get();
        return view('system.trucks.trucks',compact('trucks'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'truck_type' => 'required|unique:trucktypes|max:255',
        ],[

            'truck_type.required' =>'يرجي ادخال نوع الشاحنة',
            'truck_type.unique' =>'نوع الشاحنة مسجل  مسبقا',


        ]);;
        trucktypes::create($data);
        session()->flash('Add', 'تم اضافة نوع الشاحنة بنجاح ');
        return redirect('/trucks');
    }

    /**
     * Display the specified resource.
     */
    public function show(mixers $mixers)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(mixers $mixers)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'truck_type' => 'required|max:255|unique:trucktypes,truck_type,'.$id,

        ],[

            'truck_type.required' =>'يرجي ادخال نوع الشاحنة',
            'truck_type.unique' =>'نو الشاحنة مسجل مسبقا',

        ]);

        $trucks = trucktypes::find($id);
        $trucks->update([
            'truck_type' => $request->truck_type,

        ]);

        session()->flash('edit','تم تعديل نوع الشاحنة بنجاج');
        return redirect('/trucks');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request)
    {
        trucktypes::find($request->id)->delete();
        session()->flash('delete','تم حذف نوع الشاحنة بنجاح');
        return redirect('/trucks');
    }
}
