<?php

namespace App\Http\Controllers;

use App\Models\voltages;
use Illuminate\Http\Request;

class VoltagesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $volts = voltages::all();
        return view('system.voltages.voltages',compact('volts'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'volt_code' => 'required',
            'volt_name_ar'=>'required|max:255|unique:voltages',
            'volt_name_en'=>'required|max:255|unique:voltages',

        ],[
            'volt_code.required' =>'يرجي ادخال كود النوع',
            'volt_name_ar.required' =>'يرجي ادخال اسم الجهد',
            'volt_name_ar.unique' =>'هذا الاسم مدخل مسبقا',
            'volt_name_en.required' =>'يرجي ادخال اسم الجهد',
            'volt_name_en.unique' =>'هذا الاسم مدخل مسبقا'
        ]);;

        voltages::create($data);
        session()->flash('Add', 'تم اضافة الجهد  النوع بنجاح ');
        return redirect('/voltages');
    }

    /**
     * Display the specified resource.
     */
    public function show(pour $pour)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(pour $pour)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
        $id = $request->id;

        $this->validate($request, [

            'volt_name_ar' => 'required|max:255|unique:voltages,volt_name_ar,'.$id,

        ],[

            'volt_name_ar.required' =>'يرجي ادخال اسم الجهد',
            'volt_name_ar.unique' =>'اسم الجهد مسجل مسبقا',

        ]);

        $volt = voltages::find($id);
        $volt->update([
            'volt_name_ar' => $request->volt_name_ar,
            'volt_name_en'=>$request->volt_name_en,
            'volt_code'=>$request->volt_code

        ]);

        session()->flash('edit','تم تعديل الجهد بنجاج');
        return redirect('/voltages');
    }

    /**
     * Remove the specified resource from storage.
     */

    public function status($id){
        $volt= voltages::find($id);
//        dd($volt);
        $volt->update(['status'=> !$volt->status]);
        return redirect()->back();
    }
    public function destroy(Request $request)
    {
        voltages::find($request->id)->delete();
        session()->flash('delete','تم حذف الجهد بنجاح');
        return redirect('/voltages');
    }
}
