<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Program extends Model
{
    use HasFactory;
    protected $table = "program";
    protected $fillable = [
        'id',
        'type_id',
        'program_name',
        'rate',
        'visitors',
        'description',
        'image',
        'town',
        'reservation_price',
        'payment_duration',
        'available_from',
        'available_to',
        'offer_price',
        'offer_start_date',
        'offer_end_date',
        'status',
        'created_at',
        'updated_at'
    ];
    protected $hidden = [];
    public function type()
    {
        return $this->belongsTo(ProgramTypes::class, 'type_id')->withDefault();;
    }
}
