@extends('layouts.master')
@section('css')
    <!--- Internal Select2 css-->
    <link href="{{ URL::asset('assets/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
    <!---Internal Fileupload css-->
    <link href="{{ URL::asset('assets/plugins/fileuploads/css/fileupload.css') }}" rel="stylesheet" type="text/css" />
    <!---Internal Fancy uploader css-->
    <link href="{{ URL::asset('assets/plugins/fancyuploder/fancy_fileupload.css') }}" rel="stylesheet" />
    <!--Internal Sumoselect css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/sumoselect/sumoselect-rtl.css') }}">
    <!--Internal  TelephoneInput css-->
    <link rel="stylesheet" href="{{ URL::asset('assets/plugins/telephoneinput/telephoneinput-rtl.css') }}">
@endsection
@section('title')
    تعديل محطة مركزية
@stop

@section('page-header')
    <!-- breadcrumb -->
    <div class="breadcrumb-header justify-content-between">
        <div class="my-auto">
            <div class="d-flex">
                <h4 class="content-title mb-0 my-auto">الفواتير</h4><span class="text-muted mt-1 tx-13 mr-2 mb-0">/
                    تعديل محطة مركزية</span>
            </div>
        </div>
    </div>
    <!-- breadcrumb -->
@endsection
@section('content')

    @if (session()->has('edit'))
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>{{ session()->get('edit') }}</strong>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    @endif

    <!-- row -->
    <div class="row">

        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{route('mains.update',$main_station->id)}}" method="post" enctype="multipart/form-data"
                          autocomplete="off">
                        @csrf
                        @method('put')
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">المنشأاة </label>
                                <select name="enterprise_id" class="form-control SlectBox">
                                    <!--placeholder-->

                                    @foreach ($enterprises as $enterprise)
                                        <option @selected($enterprise->id == $main_station->enterprise_id) value="{{$enterprise->id }}"> {{$enterprise->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">نوع الخلاط </label>
                                <select name="mixer_type_id" class="form-control SlectBox">
                                    <!--placeholder-->
                                    <option value="" selected disabled>حدد نوع الخلاط</option>
                                    @foreach ($mixers as $mixer)
                                        <option @selected($mixer->id == $main_station->mixer_type_id) value="{{ $mixer->id }}"> {{ $mixer->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">الفرع </label>
                                <select name="branch_id" class="form-control SlectBox">
                                    <!--placeholder-->
                                    <option value="" selected disabled>حدد الفرع</option>
                                    @foreach ($branches as $branch)
                                        <option @selected($branch->id == $main_station->branch_id) value="{{ $branch->id }}"> {{ $branch->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label">نوع المحطة </label>
                                <select name="station_type_id" class="form-control SlectBox">
                                    <!--placeholder-->
                                    <option value="" selected disabled>حدد نوع المحطة</option>
                                    @foreach ($stations as $station)
                                        <option @selected($station->id == $main_station->station_type_id) value="{{ $station->id }}"> {{ $station->station_type }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">اسم المحطة</label>
                                <input type="text" class="form-control form-control-lg" id=""
                                       name="station_name_ar" value ="{{$main_station->station_name_ar}}">
                            </div>

                            <div class="col">
                                <label for="inputName" class="control-label">الطقاقة الإنتاجية </label>
                                <select name="energy_id" class="form-control SlectBox">
                                    <!--placeholder-->
                                    <option value="" selected disabled>حدد الطاقة الإنتاجية</option>
                                    @foreach ($energy as $energyy)
                                        <option @selected($energyy->id == $main_station->energy_id) value="{{ $energyy->id }}"> {{ $energyy->value }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label">Station Name </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="station_name_en" value="{{$main_station->station_name_en}}" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> الدولة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="country" value="{{$main_station->country}}" >
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> العنوان </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="address_ar" value ="{{$main_station->address_ar}}">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المحافظة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="government" value="{{$main_station->government}}">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> Address </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="address_en" value ="{{$main_station->address_en}}" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المدينة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="town" value ="{{$main_station->town}}">
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> رقم التليفون </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="phone" value ="{{$main_station->phone}}">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="inputName" class="control-label"> المنطقة </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="area" value ="{{$main_station->area}}" >
                            </div>
                            <div class="col">
                                <label for="inputName" class="control-label"> رقم الفاكس </label>
                                <input type="text" class="form-control form-control-md" id=""
                                       name="fax" value ="{{$main_station->fax}}">
                            </div>
                        </div>
                        <br>
                        <div class="d-flex justify-content-center">
                            <button type="submit" class="btn btn-primary">حفظ البيانات</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

    </div>

    <!-- row closed -->
    </div>
    <!-- Container closed -->
    </div>
    <!-- main-content closed -->
@endsection
@section('js')
    <!-- Internal Select2 js-->
    <script src="{{ URL::asset('assets/plugins/select2/js/select2.min.js') }}"></script>
    <!--Internal Fileuploads js-->
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fileuploads/js/file-upload.js') }}"></script>
    <!--Internal Fancy uploader js-->
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.ui.widget.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.iframe-transport.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/jquery.fancy-fileupload.js') }}"></script>
    <script src="{{ URL::asset('assets/plugins/fancyuploder/fancy-uploader.js') }}"></script>
    <!--Internal  Form-elements js-->
    <script src="{{ URL::asset('assets/js/advanced-form-elements.js') }}"></script>
    <script src="{{ URL::asset('assets/js/select2.js') }}"></script>
    <!--Internal Sumoselect js-->
    <script src="{{ URL::asset('assets/plugins/sumoselect/jquery.sumoselect.js') }}"></script>
    <!--Internal  Datepicker js -->
    <script src="{{ URL::asset('assets/plugins/jquery-ui/ui/widgets/datepicker.js') }}"></script>
    <!--Internal  jquery.maskedinput js -->
    <script src="{{ URL::asset('assets/plugins/jquery.maskedinput/jquery.maskedinput.js') }}"></script>
    <!--Internal  spectrum-colorpicker js -->
    <script src="{{ URL::asset('assets/plugins/spectrum-colorpicker/spectrum.js') }}"></script>
    <!-- Internal form-elements js -->
    <script src="{{ URL::asset('assets/js/form-elements.js') }}"></script>



@endsection
