<?php

use App\Http\Controllers\AdditionalServicesController;
use App\Http\Controllers\CustomerController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\EnterprisesController;
use App\Http\Controllers\BranchesController;
use App\Http\Controllers\MixersController;
use App\Http\Controllers\StationsController;
use App\Http\Controllers\EnergyController;
use App\Http\Controllers\MainstationsController;
use App\Http\Controllers\PourController;
use App\Http\Controllers\VoltagesController;
use App\Http\Controllers\CalibersController;
use App\Http\Controllers\CouponsController;
use App\Http\Controllers\EmployeesController;
use App\Http\Controllers\ProgramController;
use App\Http\Controllers\ProgramTypesController;
use App\Http\Controllers\TrucktypesController;
use App\Http\Controllers\SementsController;
use App\Http\Controllers\UserCopunsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});


Auth::routes();

Route::resource('programs',ProgramController::class);
Route::resource('programTypes',ProgramTypesController::class);
Route::resource('additionalServices',AdditionalServicesController::class);
Route::resource('coupons',CouponsController::class);
Route::resource('customersCoupons',UserCopunsController::class);
Route::resource('customers',CustomerController::class);
// Route::resource('userCoupons',::class);

// Route::prefix('programs')->group(function () {
//     Route::get('/', [ProgramController::class,'index'])->name('programs.index');
//     Route::get('/', [ProgramController::class,'index'])->name('programs.index');
//     Route::get('/create', [ProgramController::class,'create'])->name('programs.create');
//     Route::post('/store', [ProgramController::class,'store'])->name('programs.store');
//     Route::get('/edit', [ProgramController::class,'edit'])->name('programs.edit');
//     Route::post('/update', [ProgramController::class,'update'])->name('programs.update');
//     Route::delete('/delete', [ProgramController::class,'destroy'])->name('programs.delete');
// });
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('enterprise',EnterprisesController::class);
Route::resource('branches',BranchesController::class);
Route::resource('mixers',MixersController::class);
Route::resource('stations',StationsController::class);
Route::resource('energy',EnergyController::class);
Route::resource('mains',MainstationsController::class);
Route::resource('pours',PourController::class);
Route::get('/pours/status/{id}', [PourController::class, 'status'])->name('pours.status');
Route::get('/sements/status/{id}', [SementsController::class, 'status'])->name('sements.status');
Route::get('/voltages/status/{id}', [VoltagesController::class, 'status'])->name('voltages.status');
Route::get('/calibers/status/{id}', [CalibersController::class, 'status'])->name('calibers.status');

Route::resource('voltages',VoltagesController::class);
Route::resource('sements',SementsController::class);
Route::resource('calibers',CalibersController::class);
Route::resource('employees',EmployeesController::class);
Route::resource('trucks',TrucktypesController::class);


Route::get('/{page}', [AdminController::class,'index']);

